JackTrip: NetKS Class Reference

JackTrip

Public Member Functions | Static Public Member Functions | List of all members
NetKS Class Reference

A simple (basic) network Karplus Strong. More...

`#include <NetKS.h>`

Inheritance diagram for NetKS:
[legend]
Collaboration diagram for NetKS:
[legend]

## Public Member Functions
virtual int | getNumInputs ()
| Return Number of Input Channels. More...
virtual int | getNumOutputs ()
| Return Number of Output Channels. More...
virtual void | instanceInit (int samplingFreq)
virtual void | init (int samplingFreq)
| Do proper Initialization of members and class instances. By default this initializes the Sampling Frequency. If a class instance depends on the sampling frequency, it should be initialize here. More...
virtual void | compute (int count, float **input, float **output)
| Compute process. More...
Public Member Functions inherited from ProcessPlugin
| ProcessPlugin ()
| The Class Constructor. More...
virtual | ~ProcessPlugin ()
| The Class Destructor. More...

## Static Public Member Functions
static void | classInit (int)

## Additional Inherited Members
Protected Attributes inherited from ProcessPlugin
int | fSamplingFreq
| Faust Data member, Sampling Rate. More...

## Detailed Description

A simple (basic) network Karplus Strong.

This plugin creates a one channel network karplus strong.

## Member Function Documentation

## ◆ classInit()

static void NetKS::classInit | ( | int |  | ) |
| inlinestatic

## ◆ compute()

virtual void NetKS::compute | ( | int | nframes,
|  | float ** | inputs,
|  | float ** | outputs
| ) |  |
| inlinevirtual

Compute process.

Implements ProcessPlugin.

## ◆ getNumInputs()

virtual int NetKS::getNumInputs | ( |  | ) |
| inlinevirtual

Return Number of Input Channels.

Implements ProcessPlugin.

## ◆ getNumOutputs()

virtual int NetKS::getNumOutputs | ( |  | ) |
| inlinevirtual

Return Number of Output Channels.

Implements ProcessPlugin.

## ◆ init()

virtual void NetKS::init | ( | int | samplingRate | ) |
| inlinevirtual

Do proper Initialization of members and class instances. By default this initializes the Sampling Frequency. If a class instance depends on the sampling frequency, it should be initialize here.

Reimplemented from ProcessPlugin.

## ◆ instanceInit()

virtual void NetKS::instanceInit | ( | int | samplingFreq | ) |
| inlinevirtual

The documentation for this class was generated from the following file:

- src/NetKS.h